server:
  port: 6060
  servlet:
    context-path: /seer/admin
    multipart:
      max-file-size: 50MB
      max-request-size: 50MB
spring:
  application:
    name: seer-admin
  main:
    allow-bean-definition-overriding: true
    allow-circular-references: true
  profiles:
    active: dev
  flyway:
    enabled: true
    locations: classpath:db/mysql
    baseline-on-migrate: true
    clean-disable: true
    table: flyway_schema_history_admin
  config:
    import:
      - optional:nacos:${spring.application.name}-${spring.profiles.active}.yaml
      - optional:nacos:shared-database.yaml
      - optional:nacos:shared-redis.yaml
      - optional:nacos:shared-sa-token.yaml
      - optional:nacos:shared-minio.yaml
  cloud:
    nacos:
      discovery:
        server-addr: 192.168.0.39:8848  # Nacos 服务地址
        group: DEFAULT_GROUP         # 分组（默认DEFAULT_GROUP）
        namespace: ${spring.profiles.active}
      config:
        server-addr: 192.168.0.39:8848  # 配置中心地址
        file-extension: yaml         # 配置文件后缀（yaml/properties）
        namespace: ${spring.profiles.active}

#日志
logging:
  config: classpath:logback-${spring.profiles.active}.xml

# 公众号配置（必填），参见 https://github.com/Wechat-Group/WxJava/blob/develop/spring-boot-starters/wx-java-mp-spring-boot-starter/README.md 文档
wx:
  mp:
    config-storage:
      type: RedisTemplate
      key-prefix: wx
      http-client-type: HttpClient
    app-id: null
  miniapp:
    appid: wx04019010242d540e
    secret: d9280058237ee5e3dd81bafd72e5cf3b
    msgDataFormat: XML
    config-storage:
      type: RedisTemplate
      key-prefix: wx

feign:
  okhttp:
    enabled: true
  httpclient:
    enabled: false

management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: always
    shutdown:
      enabled: false

zs:
  decryption:
    enabled: true
  encryption:
    enabled: true
  task:
    clean-minio:
      enabled: false
    online-device:
      enabled: false
    refresh-wx-access-token:
      enabled: false
  text:
    similarity:
      service:
        url: http://192.168.0.108:5000/text-similarity-batch
  cors:
    origins:
      - http://localhost:*
      - http://192.168.*:*
      - http://10.10.*:*
      - http://10.10.4.143:8020
      - https://admin-api.seerteach.net:*
      - http://admin-api.seerteach.net:*
      - https://admin.seerteach.net:*
      - https://admin.seerteach.net